import { h } from "@stencil/core";
import { ACreateMessage } from "./base";
import language from "../../../../src/language/index";
import { core } from "../../../core";
export default class LocationMessage extends ACreateMessage {
  create() {
    let lang = core.lang ? core.lang : language.zh_CN;
    let locale = language[lang];
    let location = '[' + locale.message.location + ']' + locale.message.nonsupport;
    return this.wrap(h("div", { class: "location-message-body" },
      h("p", null, location)));
  }
}
