export default {
  area: "zh_CN",
  lang: "中文",
  // 会话列表
  conversation: {
    loading: "正在加载列表",
    forMore: "上拉获取更多",
    noData: "当前无会话",
    draft: "草稿",
    atMe: "有人@我",
    file: "文件",
    img: "图片",
    location: "位置消息",
    video: "短视频",
    audio: "语音消息",
    quote: "引用消息",
    yesterday: "昨天",
    before: "前天",
    top: "取消置顶",
    noTop: "置顶",
    inform: "允许消息通知",
    noInform: "消息免打扰",
    delete: "删除",
    read: "已读",
    unread: "未读",
    recall: "撤回了一条消息",
    you: "你"
  },
  //消息列表
  message: {
    history: "下拉获取历史消息",
    noHistory: "没有更多历史消息了",
    loading: "加载中...",
    completed: "加载完毕",
    noData: "新的一天，新的开始",
    year: "年",
    month: "月",
    day: "日",
    hour: "点",
    minute: "分",
    copy: "复制",
    quote: "引用",
    recall: "撤回",
    delete: "删除",
    msgRecall: "撤回了一条消息",
    you: "你",
    opposite: "对方",
    file: "文件",
    location: "位置",
    nonsupport: "当前版本不支持查看此消息",
    forward: "转发"
  },
  //消息编辑器
  messageEdit: {
    send: "发送",
    image: "图片",
    picError: "图片格式有误",
    file: "文件"
  },
  other: {
    unKnowMessage: "未知消息",
    all: "所有人"
  }
};
