import request from '@/utils/request2'
import qs from 'qs'
let api = '/api-web'


export function findCourseHomeworkDetail (data) {
  return request({
    url: api + '/extracurricularExercises/findStudentExtraExerciseDetail/v2',
    method: 'get',
    params: data
  })
}


// 获取学生列表
export function getHomeworkStudent (data) {
  return request({
    url: api + '/teacher/findCourseStudentsPublic/v2',
    method: 'post',
    data,
    requestType: "json"

  })
}

// 获取课程声部

export function getHomeworkSubjectPublic (data) {
  return request({
    url: api + '/teacher/findCourseStudentsSubjectPublic/v2',
    method: 'post',
    data,
    requestType: "json"

  })
}

// 获取进度测评声部
export function getExaminationSubjectPublic (data) {
  return request({
    url: api + '/lessonExamination/querySubject',
    method: 'get',
    params: data

  })
}


// 获取进度测评列表
export function getLessonExamination (data) {
  return request({
    url: api + '/lessonExamination/queryPage',
    method: 'post',
    data,
    requestType: "json"

  })
}


// 获取评测学员
export function getLessonExaminationStudent (data) {
  return request({
    url: api + '/lessonExamination/queryStudentPage',
    method: 'post',
    data,
    requestType: "form"
  })
}

