import request2 from '@/utils/request2'

// 员工离职
export const employeeLevel = data => {
  return request2({
    url: '/api-web/employee/level',
    method: 'post',
    data
  })
}

// 获取交接信息
export const employeeLevelDetail = data => {
  return request2({
    url: '/api-web/employee/levelDetail',
    method: 'get',
    params: data
  })
}

// 获取所有员工
export const employeeFindEmployeeByRole = data => {
  return request2({
    url: '/api-web/employee/queryEmployByOrganId',
    method: 'get',
    params: data
  })
}

// 获取当前登录人编辑的角色
export const userRole = data => {
  return request2({
    url: '/api-auth/user/getRole',
    method: 'get',
    params: data
  })
}


// 重置密码
export const resetPassword = data => {
  return request2({
    url: '/api-web/employee/resetPassword',
    method: 'post',
    data,
    responseType:'form'
  })
}


// 获取合作单位信息
export const getCooperation = data => {
  return request2({
    url: '/api-web/open/school/cooperation',
    method: 'get',
    data,
    params: data

  })
}
