
import request from '@/utils/request2'
import qs from 'qs'
let api = '/api-web'



// 获取群组列表 1 3层
export function getGroupList(data) {
  return request({
    url: api + '/imSendGroupMessage/queryGroupPage',
    method: 'POST',
    // params: data,
    requestType: 'form',
    data
  })
}
export function getGroupList1(data) {
  return request({
    url: api + '/imSendGroupMessage/queryGroupPage1',
    method: 'POST',
    // params: data,
    requestType: 'form',
    data
  })
}

// 发送群聊消息
export function sendGroupMsg(data) {
  return request({
    url: api + '/imSendGroupMessage/send',
    method: 'POST',
    // params: data,
    // requestType: 'form',
    data
  })
}


// 获取群消息列表
export function getGroupMessageList(data) {
  return request({
    url: api + '/imSendGroupMessage/queryPage',
    method: 'POST',
    // params: data,
    requestType: 'form',
    data
  })
}

//删除未发送的群消息
export function deteleGroupMessage(data) {
  return request({
    url: api + '/imSendGroupMessage/delete',
    method: 'POST',
    // params: data,
    requestType: 'form',
    data
  })
}

//删除未发送的群消息某几条
export function deteleGroupMessageList(data) {
  return request({
    url: api + '/imSendGroupMessage/deleteGroupList',
    method: 'POST',
    // params: data,
    requestType: 'form',
    data
  })
}

// 修改消息
export function resetGroupMessageList(data) {
  return request({
    url: api + '/imSendGroupMessage/update',
    method: 'POST',
    // params: data,
    data
  })
}


//添加未发送消息的群列表
export function addGroupMessageList(data) {
  return request({
    url: api + '/imSendGroupMessage/addGroupList',
    method: 'POST',
    // params: data,
    requestType: 'form',
    data
  })
}

// 修改群聊
export function updateImGroup(data) {
  return request({
    url: api + '/imGroup/updateImGroup',
    method: 'POST',
    // params: data,
    data
  })
}

// 获取群聊成员
export function getGroupMemberList(data) {
  return request({
    url: api + '/imGroupMember/queryGroupMemberPage',
    method: 'POST',
    params: data,
    data
  })
}

// 获取群聊详情
export function getGroupDetail(data) {
  return request({
    url: api + '/imGroup/queryGroupDetail',
    method: 'get',
    params: data,
    data
  })
}

// 获取群聊学生
export function getStudentBasicInfo(data) {
  return request({
    url: api + '/studentManage/queryStudentBasicInfo',
    method: 'get',
    params: data,
    data
  })
}

// 获取群聊老师
export function getTeacherBasicInfo(data) {
  return request({
    url: api + '/teacher/queryTeacherBasicInfo',
    method: 'get',
    params: data,
    data
  })
}
// 获取群聊员工
export function getEmployeeBasicInfo(data) {
  return request({
    url: api + '/employee/queryEmployeeBasicInfo',
    method: 'get',
    params: data,
    data
  })
}


// 添加群成员
export function addGroupMember(data) {
  return request({
    url: api + '/imGroupMember/addGroupMember',
    method: 'post',
    params: data,
    data: qs.stringify(data)
  })
}


// 删除成员(退群)
export function quitGroupMember(data) {
  return request({
    url: api + '/imGroup/quitGroup',
    method: 'post',
    params: data,
    data: qs.stringify(data)
  })
}


// 修改群成员信息
export function resetGroupMemberRoleType(data) {
  return request({
    url: api + '/imGroup/updateRoleType',
    method: 'post',
    params: data,
    data: qs.stringify(data)
  })
}

// 添加群聊
export function createGroup(data) {
  return request({
    url: api + '/imGroup/createGroup',
    method: 'post',
    // params: data, : qs.stringify(data)
    data
  })
}


// 解散群组
export function dismissGroup(data) {
  return request({
    url: api + '/imGroup/dismissGroup',
    method: 'post',
    requestType: 'form',
    // params: data, : qs.stringify(data)
    data
  })
}


export function getSysGroupList(data) {
  return request({
    url: api + '/imSendGroupMessage/queryGroupAll',
    method: 'POST',
    // params: data,
    requestType: 'form',
    data
  })
}
export function getSysGroupList1(data) {
  return request({
    url: api + '/imSendGroupMessage/queryGroupAll1',
    method: 'POST',
    // params: data,
    requestType: 'form',
    data
  })
}
