import request2 from "@/utils/request2";

export const musicGroupPaymentCalenderQueryPage = data =>
  request2({
    url: "/api-web/musicGroupPaymentCalender/queryPage",
    data: {},
    params: data,
    requestType: "form"
  });

export const musicGroupPaymentCalenderAdd = data =>
  request2({
    url: "/api-web/musicGroupPaymentCalender/add",
    data,
    method: "post"
  });

export const musicGroupcreateCalender = data =>
  request2({
    url: "/api-web/musicGroupPaymentCalender/createCalender",
    data,
    method: "post"
  });

// musicGroupCalenderRefundPeriod/batchUpdate
export const musicGroupbatchUpdate = data =>
  request2({
    url: "/api-web/musicGroupCalenderRefundPeriod/batchUpdate",
    data,
    method: "post"
  });
export const musicGroupresetCalender = data =>
  request2({
    url: "/api-web/musicGroupPaymentCalender/updateCalender",
    data,
    method: "post"
  });

export const musicGroupPaymentCalenderView = data =>
  request2({
    url: "/api-web/musicGroupPaymentCalender/getDetail",
    data: {},
    params: data,
    method: "get"
  });
export const musicGroupPaymentAuditListDetail = data =>
  request2({
    url: "/api-web/musicGroupPaymentCalender/auditListDetail",
    data: {},
    params: data,
    method: "get"
  });

export const getMusicGroupStu = data =>
  request2({
    url: "/api-web/studentRegistration/getMusicGroupStu",
    data: {},
    params: data,
    method: "get"
  });

export const musicGroupPaymentCalenderDetailBatchAdd = data =>
  request2({
    url: "/api-web/musicGroupPaymentCalenderDetail/batchAdd",
    data: data,
    method: "post"
  });

// musicGroupPaymentCalender/update
export const musicGroupPaymentCalenderDetailBatchUpdate = data =>
  request2({
    url: "/api-web/musicGroupPaymentCalender/update",
    data: data,
    method: "post"
  });

// musicGroupPaymentCalender/update
export const musicGroupPaymentCalenderDetailDel = data =>
  request2({
    url: "/api-web/musicGroupPaymentCalender/del",
    params: data,
    method: "post"
  });

// 删除批次
export const musicGroupPaymentCalenderDelByBatchNo = data =>
  request2({
    url: "/api-web/musicGroupPaymentCalender/delByBatchNo",
    params: data,
    method: "post"
  });

// 撤回审核  musicGroupPaymentCalender/revoke
export const revokeMusicGroupPaymentCalender = data =>
  request2({
    url: "/api-web/musicGroupPaymentCalender/revoke",
    data: {},
    params: data,
    method: "post"
  });

export const queryByMusicGroupOrganizationCourseSettingsId = data =>
  request2({
    url:
      "/api-web/musicGroupOrganizationCourseSettingsDetail/queryByMusicGroupOrganizationCourseSettingsId",
    data: {},
    params: data,
    method: "get"
  });

export const makesureSchoolePaid = data =>
  request2({
    url: "/api-web/musicGroupPaymentCalender/makesureSchoolePaid",
    data,
    method: "post",
    requestType: "form"
  });

export const queryByOrganIdAndCourseType = data =>
  request2({
    url: "/api-web/organizationCourseDurationSettings/queryByOrganId",
    data: {},
    params: data,
    method: "get",
    requestType: "form"
  });
// 根据会员等级查会员价格
export const getMemberFee = data =>
  request2({
    url: "/api-web/memberFeeSetting/findByRankId",
    data: {},
    params: data,
    method: "get",
    requestType: "form"
  });

// 获取所有得会员等级
export const getAllmemberRank = data =>
  request2({
    url: "/api-web/memberRankSetting/findAll",
    method: "get",
    params: data
  });

export const getMemberRankTree = (data) => {
  return request2({
    url: "/api-web/memberRankSetting/queryTree",
    method: "get",
    params: data
  });
}
// 获取会员是否自动生效
export const getAutoActivationFlag = data =>
  request2({
    url: "/api-web/tenantConfig/autoActivationFlag",
    method: "get",
    params: data
  });

// 查询未激活学练宝用户
export const queryInactive = data =>
  request2({
    url: "/api-web/cloudTeacherOrder/queryInactive",
    method: "post",
    data
  });

// 设置学练宝会员时长
export const cancelInactive = data =>
  request2({
    url: "/api-web/cloudTeacherOrder/cancelInactive",
    method: "post",
    data
  });

// 激活学练宝用户
export const cloudPay = data =>
  request2({
    url: "/api-web/cloudTeacherOrder/pay",
    method: "post",
    data
  });

export const cloudPayCheck = data =>
  request2({
    url: "/api-web/cloudTeacherOrder/payCheck",
    method: "get",
    hideLoading: true,
    params: data
  });

export const api_goodsQuery = data =>
  request2({
    url: "/api-web/goods/queryPage",
    method: "get",
    params: data
  });
