import request2 from '@/utils/request2'
import qs from 'qs'

/**
 * 乐队指导练习营列表
 * @param {*} data 
 * @returns 
 */
export function api_tempDirectorTrainingCampPage(data) {
  return request2({
    url: '/api-web/tempDirectorTrainingCamp/queryPage',
    method: 'post',
    data
  })
}

/**
 * 乐队指导练习营添加
 * @param {*} data 
 * @returns 
 */
export function api_tempDirectorTrainingCampAdd(data) {
  return request2({
    url: '/api-web/tempDirectorTrainingCamp/add',
    method: 'post',
    data
  })
}

/**
 * 乐队指导练习营修改
 * @param {*} data 
 * @returns 
 */
export function api_tempDirectorTrainingCampModify(data) {
  return request2({
    url: '/api-web/tempDirectorTrainingCamp/modify',
    method: 'post',
    data
  })
}

/**
 * 乐队指导练习营 详情列表
 * @param {*} data 
 * @returns 
 */
export function api_tempDirectorTrainingDetailCampPage(data) {
  return request2({
    url: '/api-web/tempDirectorTrainingDetailCamp/queryPage',
    method: 'post',
    data
  })
}
/**
 * 乐队指导练习营 详情统计
 * @param {*} data 
 * @returns 
 */
export function api_tempDirectorTrainingDetailCampPageStat(data) {
  return request2({
    url: '/api-web/tempDirectorTrainingDetailCamp/queryPageStat',
    method: 'post',
    data
  })
}

/**
 * 乐队指导练习营 详情导出
 * @param {*} data 
 * @returns 
 */
export function api_tempDirectorTrainingDetailCampExport(data) {
  return request2({
    url: '/api-web/tempDirectorTrainingDetailCamp/export',
    method: 'post',
    data
  })
}