
import request2 from '@/utils/request2'

export const platformProductAdd = data => request2({
  url: '/api-web/platformProduct/add',
  method: 'post',
  data,
})

export const platformProductUpdate = data => request2({
  url: '/api-web/platformProduct/update',
  method: 'post',
  data,
})

export const platformProductDelete = data => request2({
  url: '/api-web/platformProduct/delete/' + data.id,
  method: 'get'
})


export const platformProductQueryPage = data => request2({
  url: '/api-web/platformProduct/queryPage',
  method: 'get',
  params: data,
})
